Last Comment Bug 840954 - Add mozbase to the list of packaged directories for Thunderbird's tests
: Add mozbase to the list of packaged directories for Thunderbird's tests
Status: RESOLVED FIXED
[mozbase]
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- major (vote)
: Thunderbird 22.0
Assigned To: Mark Banner (:standard8, limited time in Dec)
:
:
Mentors:
Depends on: 840481
Blocks: 827446
  Show dependency treegraph
 
Reported: 2013-02-13 05:42 PST by Mark Banner (:standard8, limited time in Dec)
Modified: 2013-03-05 06:56 PST (History)
7 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
20+
fixed


Attachments
Add mozbase to the list of items to package for Thunderbird (712 bytes, patch)
2013-02-13 05:47 PST, Mark Banner (:standard8, limited time in Dec)
mconley: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr17+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, limited time in Dec) 2013-02-13 05:42:24 PST
+++ This bug was initially created as a clone of Bug #840481 +++

Thunderbird's XPCShell tests started failing permanently yesterday. Unzipping the mozbase* modules causes them to fail, the Tinderbox push log shows as summary: "Summary is empty." The log reads: "program finished with exit code 11)" for unzipping the tests.

Broken (now):
https://tbpl.mozilla.org/php/getParsedLog.php?id=19663456&tree=Thunderbird-Trunk&full=1
'unzip' '-oq' u'thunderbird-21.0a1.en-US.win32.tests.zip' 'mozbase*' 'bin*' 'certs*' 'modules*' 'xpcshell*'

Working (before):
https://tbpl.mozilla.org/php/getParsedLog.php?id=19631037&tree=Thunderbird-Trunk&full=1
'unzip' '-oq' u'thunderbird-21.0a1.en-US.win32.tests.zip' 'bin*' 'certs*' 'modules*' 'xpcshell*'

The difference is the added 'mozbase*' parameter.
Comment 1 Joel Maher ( :jmaher) 2013-02-13 05:46:43 PST
I thought this was fixed yesterday in bug 840481.  If this is different, please explain, otherwise we can mark this as a dup.
Comment 2 Mark Banner (:standard8, limited time in Dec) 2013-02-13 05:47:10 PST
Created attachment 713364 [details] [diff] [review]
Add mozbase to the list of items to package for Thunderbird

Thunderbird's mozmill tests are special and separate to Firefox's, so what we do currently is we have our own package-tests target, and package just what we need.

As part of the findings in the blocking bugs, we need to add mozbase to the list of items we're packaging in the test targets.
Comment 3 Mark Banner (:standard8, limited time in Dec) 2013-02-13 12:09:59 PST
(In reply to Joel Maher (:jmaher) from comment #1)
> I thought this was fixed yesterday in bug 840481.  If this is different,
> please explain, otherwise we can mark this as a dup.

That bug only works around the fact that Thunderbird wasn't packaging mozbase, by not expecting to have packaged mozbase. If things in core start using mozbase, then Thunderbird will need it as well, so we might as well start packaging it. Additionally we can then back out the Thunderbird specific workaround that releng now has.
Comment 4 Jeff Hammel 2013-02-13 15:54:56 PST
(In reply to Mark Banner (:standard8) from comment #3)
> (In reply to Joel Maher (:jmaher) from comment #1)
> > I thought this was fixed yesterday in bug 840481.  If this is different,
> > please explain, otherwise we can mark this as a dup.
> 
> That bug only works around the fact that Thunderbird wasn't packaging
> mozbase, by not expecting to have packaged mozbase. If things in core start
> using mozbase, then Thunderbird will need it as well, so we might as well
> start packaging it. Additionally we can then back out the Thunderbird
> specific workaround that releng now has.

Yes, we are working on centralizing the code for a considerable portion of our python infrastructure to mozbase (where applicable): https://wiki.mozilla.org/Auto-tools/Goals/2013Q1 . I'm happy to help figure out how to make the transition a good one for Thunderbird and answer questions you may have about the when, how, why, and what of the matter.
Comment 5 Mike Conley (:mconley) 2013-02-27 12:04:09 PST
Comment on attachment 713364 [details] [diff] [review]
Add mozbase to the list of items to package for Thunderbird

Looks good, thanks!
Comment 6 Mark Banner (:standard8, limited time in Dec) 2013-02-27 14:04:20 PST
https://hg.mozilla.org/comm-central/rev/0a57d13a21a3
Comment 7 Mark Banner (:standard8, limited time in Dec) 2013-02-27 14:05:11 PST
Comment on attachment 713364 [details] [diff] [review]
Add mozbase to the list of items to package for Thunderbird

[Triage Comment]
This will need to be on aurora as well, so I'll land it after the tree is confirmed green.
Comment 8 Mark Banner (:standard8, limited time in Dec) 2013-03-05 06:38:46 PST
https://hg.mozilla.org/releases/comm-aurora/rev/edfd1526304d
Comment 9 Mark Banner (:standard8, limited time in Dec) 2013-03-05 06:42:46 PST
Comment on attachment 713364 [details] [diff] [review]
Add mozbase to the list of items to package for Thunderbird

[Triage Comment]
I made a mistake before, this is needed on all active trees.
Comment 10 Mark Banner (:standard8, limited time in Dec) 2013-03-05 06:52:06 PST
https://hg.mozilla.org/releases/comm-beta/rev/979622206cfd
Comment 11 Mark Banner (:standard8, limited time in Dec) 2013-03-05 06:56:48 PST
https://hg.mozilla.org/releases/comm-esr17/rev/6204a493bd2e

Note You need to log in before you can comment on or make changes to this bug.